Bug 1169170 - openvas-manager: SQL injection related to the timezone parameter [fedora-all]
Summary: openvas-manager: SQL injection related to the timezone parameter [fedora-all]
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openvas-manager
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: , fst_ping=1
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2014-9220
TreeView+ depends on / blocked
 
Reported: 2014-11-30 23:44 UTC by Murray McAllister
Modified: 2015-07-14 16:46 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-30 00:21:18 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-11-30 23:44:25 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-11-30 23:44:29 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1169169,1169170

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1169169,1169170

Comment 3 pjp 2015-04-09 17:36:38 UTC
Hello rebus@seznam.cz,

You plan to fix this soon?

Comment 4 Fedora End Of Life 2015-05-29 13:25:16 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Eric Christensen 2015-06-09 14:28:57 UTC
Only affected in Fedora 20.

Comment 6 Fedora Update System 2015-06-21 02:28:01 UTC
openvas-cli-1.4.1-1.fc22,openvas-manager-6.0.3-3.fc22,openvas-scanner-5.0.3-2.fc22,openvas-libraries-8.0.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/openvas-cli-1.4.1-1.fc22,openvas-manager-6.0.3-3.fc22,openvas-scanner-5.0.3-2.fc22,openvas-libraries-8.0.3-1.fc22

Comment 7 Fedora Update System 2015-06-21 02:29:15 UTC
openvas-cli-1.4.1-2.fc21,openvas-manager-6.0.3-3.fc21,openvas-scanner-5.0.3-3.fc21,openvas-libraries-8.0.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openvas-cli-1.4.1-2.fc21,openvas-manager-6.0.3-3.fc21,openvas-scanner-5.0.3-3.fc21,openvas-libraries-8.0.3-2.fc21

Comment 8 Fedora Update System 2015-06-22 10:36:31 UTC
Package openvas-cli-1.4.1-1.fc22, openvas-manager-6.0.3-3.fc22, openvas-scanner-5.0.3-2.fc22, openvas-libraries-8.0.3-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openvas-cli-1.4.1-1.fc22 openvas-manager-6.0.3-3.fc22 openvas-scanner-5.0.3-2.fc22 openvas-libraries-8.0.3-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10500/openvas-cli-1.4.1-1.fc22,openvas-manager-6.0.3-3.fc22,openvas-scanner-5.0.3-2.fc22,openvas-libraries-8.0.3-1.fc22
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-06-26 14:28:11 UTC
openvas-gsa-6.0.3-4.el7,openvas-manager-6.0.3-3.el7,openvas-scanner-5.0.3-5.el7,openvas-cli-1.4.1-2.el7,openvas-libraries-8.0.3-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/openvas-gsa-6.0.3-4.el7,openvas-manager-6.0.3-3.el7,openvas-scanner-5.0.3-5.el7,openvas-cli-1.4.1-2.el7,openvas-libraries-8.0.3-2.el7

Comment 10 Fedora Update System 2015-06-29 21:27:40 UTC
openvas-scanner-5.0.3-5.fc22,openvas-cli-1.4.1-2.fc22,openvas-libraries-8.0.3-2.fc22,openvas-manager-6.0.3-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/openvas-scanner-5.0.3-5.fc22,openvas-cli-1.4.1-2.fc22,openvas-libraries-8.0.3-2.fc22,openvas-manager-6.0.3-4.fc22

Comment 11 Fedora Update System 2015-06-30 00:21:18 UTC
openvas-cli-1.4.1-2.fc21, openvas-manager-6.0.3-3.fc21, openvas-scanner-5.0.3-3.fc21, openvas-libraries-8.0.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora End Of Life 2015-06-30 01:38:32 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 13 Fedora Update System 2015-07-14 15:34:10 UTC
openvas-scanner-5.0.3-5.fc22, openvas-cli-1.4.1-2.fc22, openvas-libraries-8.0.3-2.fc22, openvas-manager-6.0.3-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-07-14 16:46:37 UTC
openvas-gsa-6.0.3-4.el7, openvas-manager-6.0.3-3.el7, openvas-scanner-5.0.3-5.el7, openvas-cli-1.4.1-2.el7, openvas-libraries-8.0.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.